Package fr.gouv.vitam.common.model.config

# Class VirtualPathsConfiguration

java.lang.Object
fr.gouv.vitam.common.model.config.VirtualPathsConfiguration

public class VirtualPathsConfiguration extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VirtualPathsConfiguration()`
  `VirtualPathsConfiguration(VirtualPathConfiguration defaultConfiguration, List<DedicatedVirtualPathsTenantConfiguration> dedicatedTenantConfiguration)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<DedicatedVirtualPathsTenantConfiguration>`
  `getDedicatedTenantConfiguration()`
  `VirtualPathConfiguration`
  `getDefaultConfiguration()`
  `VirtualPathsConfiguration`
  `setDedicatedTenantConfiguration(List<DedicatedVirtualPathsTenantConfiguration> dedicatedTenantConfiguration)`
  `VirtualPathsConfiguration`
  `setDefaultConfiguration(VirtualPathConfiguration defaultConfiguration)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VirtualPathsConfiguration

    public VirtualPathsConfiguration()

  - ### VirtualPathsConfiguration

    public VirtualPathsConfiguration(VirtualPathConfiguration defaultConfiguration, List<DedicatedVirtualPathsTenantConfiguration> dedicatedTenantConfiguration)

- ## Method Details

  - ### getDefaultConfiguration

    public VirtualPathConfiguration getDefaultConfiguration()

  - ### getDedicatedTenantConfiguration

    public List<DedicatedVirtualPathsTenantConfiguration> getDedicatedTenantConfiguration()

  - ### setDefaultConfiguration

    public VirtualPathsConfiguration setDefaultConfiguration(VirtualPathConfiguration defaultConfiguration)

  - ### setDedicatedTenantConfiguration

    public VirtualPathsConfiguration setDedicatedTenantConfiguration(List<DedicatedVirtualPathsTenantConfiguration> dedicatedTenantConfiguration)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`